public interface OuterInterface{
	public static class InnerClass {
		private String s="inner class";
		public void func(){
			System.out.println(s);
		}
	}
}

class Test {
	//测试
	public static void main(String[] args){
		/*注意：
		  声明引用变量的类型；
		  new 后面的构造方法。
		  */
		OuterInterface.InnerClass obj = 
			new OuterInterface.InnerClass();
		obj.func();
	}
}
